using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
namespace ConsoleApp2
{
    class Program
    {
        static void Main(string[] args)
        {
            double N;
            double A;
            double P;
            List<List<double>> liste = new List<List<double>>();
            N = float.Parse(Console.ReadLine());
            for (int i = 0; i < N; i++)
            {
                string[] niz = Console.ReadLine().Split(' ');
                List<double> lista = new List<double>();
                lista.Add(double.Parse(niz[0], CultureInfo.InvariantCulture));
                lista.Add(double.Parse(niz[1], CultureInfo.InvariantCulture));
                liste.Add(lista);
            }
            List<double> konacno = new List<double>();
            int br = 0;
            for (int i = 0; i < N; i++)
            {
                double suma = 0;
                double procenat = liste[br][1];
                foreach (List<double> lista in liste)
                {
                    P = lista[1];
                    A = lista[0];
                    if (P >= procenat)
                    {
                        suma = suma + A;
                    }
                }
                konacno.Add(suma*procenat/100);
                br++;
            }
            double max = 0;
            for (int i = 0; i < konacno.Count(); i++)
            {
                if (max < konacno[i]) max = konacno[i];
            }
            Console.WriteLine(max);
            Console.ReadKey();
        }
    }
}